Oracle Linux 6:openssl (ELSA-2011-1409)

medium Nessus Plugin ID 68380

Synopsis

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

描述

來自 Red Hat 安全性公告 2011:1409:

現已提供適用於 Red Hat Enterprise Linux 6 的更新版 openssl 套件,可修正一個安全性問題。

Red Hat 安全性回應團隊已將此更新評等為具有中等安全性影響。可從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

OpenSSL 不但是實作「安全通訊端層」(SSL v2/v3) 和「傳輸層安全性」(TLS v1) 通訊協定的工具組,還是一套完整的通用密碼編譯程式庫。

在 OpenSSL 中發現一個未初始化的變數使用瑕疵。此瑕疵可導致使用 OpenSSL 憑證撤銷清單 (CRL) 檢查功能的應用程式不正確地接受 nextUpdate 日期為過去日期的 CRL。(CVE-2011-3207)

建議所有 OpenSSL 使用者皆升級至這些更新版套件,其中包含可解決此問題的反向移植修補程式。若要使更新生效,連結到 OpenSSL 程式庫的所有服務都必須重新啟動或讓系統重新開機。

解決方案

更新受影響的 openssl 套件。

另請參閱

https://oss.oracle.com/pipermail/el-errata/2011-October/002433.html

Plugin 詳細資訊

嚴重性: Medium

ID: 68380

檔案名稱: oraclelinux_ELSA-2011-1409.nasl

版本: 1.10

類型: local

代理程式: unix

已發布: 2013/7/12

已更新: 2021/1/14

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Low

分數: 3.4

CVSS v2

風險因素: Medium

基本分數: 5

時間分數: 3.7

媒介: AV:N/AC:L/Au:N/C:N/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:oracle:linux:openssl, p-cpe:/a:oracle:linux:openssl-devel, p-cpe:/a:oracle:linux:openssl-perl, p-cpe:/a:oracle:linux:openssl-static, cpe:/o:oracle:linux:6

必要的 KB 項目: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2011/10/26

弱點發布日期: 2011/9/22

參考資訊

CVE: CVE-2011-3207

BID: 49469

RHSA: 2011:1409